Index: /extensions/Register_FluxBB/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/language/ru_RU/plugin.lang.php	(revision 22478)
+++ /extensions/Register_FluxBB/language/ru_RU/plugin.lang.php	(revision 22479)
@@ -27,5 +27,5 @@
 $lang['Del_Pt_true'] = ' --&gt; Удалить все';
 $lang['Error_Synchro_Mail'] = 'в email';
-$lang['Error_Synchro_Pswd'] = 'в пароле';
+$lang['Error_Synchro_Pswd'] = 'Этот пользователь должен будет сменить свой пароль при следующем входе в галерею';
 $lang['Error_Synchro'] = '<b>Ошибка синхронизации учетной записи:</b> ';
 $lang['Guest'] = 'Имя пользователя для гостевого входа.';
@@ -42,24 +42,24 @@
 $lang['Tab_Migration'] = 'Шаг 2: Перенос учетных записей';
 $lang['Tab_Synchro'] = 'Обслуживание: синхронизация учетных записей';
-$lang['Title'] = 'Регистрация FluxBB';
+$lang['Title'] = 'Версия Register_FluxBB:';
 $lang['save_config'] = 'Настройки сохранены';
 $lang['About_Reg'] = 'О регистрации пользователей на форуме FluxBB';
 $lang['Admin'] = 'Имя администратора Piwigo. <b style="color: red">Имя учетной записи администратора  FluxBB должно быть одинаковым!</b>';
 $lang['Advise_Check_Dup'] = '<b>Невозможно продолжить синхронизацию, пока есть совпадающие имена учетных записей Piwigo и FluxBB.</b><br><br>';
-$lang['Advise_FluxBB_Dup'] = '<b>ВНИМАНИЕ!  Прежде чем продолжить, вы должны внести эти исправления<br>используйте пиктограммы, чтобы удалить пользователей из FluxBB и разрешить проблему.</b>';
-$lang['Advise_PWG_Dup'] = '<b> ВНИМАНИЕ!  Прежде чем продолжить, вы должны внести эти исправления <br>используйте менеджер пользователей Piwigo для разрешения проблемы.</b>';
+$lang['Advise_FluxBB_Dup'] = '<b>ВНИМАНИЕ!  Прежде чем продолжить, вы должны внести эти исправления<br> Используйте пиктограммы, чтобы удалить пользователей из FluxBB и разрешить проблему.</b>';
+$lang['Advise_PWG_Dup'] = '<b> ВНИМАНИЕ!  Прежде чем продолжить, вы должны внести эти исправления <br> Используйте менеджер пользователей Piwigo для разрешения проблемы.</b>';
 $lang['Audit_Btn'] = 'Проверка';
-$lang['Audit_FluxBB2PWG'] = '<b>Проверка существующих учетных записей в FluxBB и отсутвующих в Piwigo</b>';
+$lang['Audit_FluxBB2PWG'] = '<b>Проверка существующих учетных записей в FluxBB и отсутствующих в Piwigo</b>';
 $lang['Audit_FluxBB_Dup'] = '<b>Проверка таблицы учетных записей FluxBB</b>';
 $lang['Audit_Link_Bad'] = '<b>Проверка битых ссылок между учетными записями в Piwigo и FluxBB</b>';
 $lang['Audit_Link_Break'] = '<b>Проверка доступных к восстановлению ссылок между учетными записями в Piwigo и FluxBB</b>';
 $lang['Audit_OK'] = 'Проверка прошла успешно<br><br>';
-$lang['Audit_PWG2FluxBB'] = '<b>Проверка существующих учетных записей в FluxBB и отсутвующих в Piwigo</b>';
-$lang['Audit_PWG_Dup'] = '<b>Проверка таблицы учетных записей FluxBB</b>';
-$lang['Audit_Synchro_OK'] = ' <b>: Синхронизация данных прошла успешна</b>';
-$lang['Confirm_true'] = '--&gt; Удалить подтвеждение';
+$lang['Audit_PWG2FluxBB'] = '<b>Проверка существующих учетных записей в Piwigo и отсутствующих в FluxBB</b>';
+$lang['Audit_PWG_Dup'] = '<b>Проверка таблицы учетных записей Piwigo</b>';
+$lang['Audit_Synchro_OK'] = ' <b>: Синхронизация данных прошла успешно</b>';
+$lang['Confirm_true'] = '--&gt; Удалить подтверждение';
 $lang['Confirm'] = 'Удалить подтвеждение на административные действия в проверках.';
 $lang['Del_Pt'] = 'Удаление тем и постов после удаления пользователя.';
-$lang['Disclaimer'] = ' *** Чтобы начать использование, следуйте этим двум шагам ***<br>
+$lang['Disclaimer'] = ' *** Чтобы начать использование, выполните следующие шаги ***<br>
 Шаг 1: Установите плагин с параметрами FluxBB.<br>
 Шаг 2: Перенесите учетные записи пользователей из Piwigo в FluxBB.<br><br>
@@ -73,5 +73,5 @@
   По умолчанию <b>FluxBB</b> <u>нечувствителен</u> к регистру имен пользователей. Так что, если пользователем с именем "test" уже зарегестрировался, другие попытки регистраций вроде "Test", или "TEST", или "TEst", будут отвергнуты.<br><br>
   По умолчанию <b>Piwigo</b>, наоборот, <u>чувствителен</u> к именам ("test", "Test", "TEST", и т.д. - это разные пользователи).<br>
-  Чтобы избежать проблем (хотя поведение Piwigo лекго изменить - См. опции), Register_FluxBB будет связывать эти два приложения в стиле FluxBB: Будучи <u>нечувствительным</u> к регистру имен пользователей.<br><br></div>';
+  Чтобы избежать проблем (хотя поведение Piwigo легко изменить - См. опции), Register_FluxBB будет связывать эти два приложения в стиле FluxBB: Будучи <u>нечувствительным</u> к регистру имен пользователей.<br><br></div>';
 $lang['Error_FluxBB2PWG'] = '<b>Аккаунт FluxBB не зарегестированный в Piwigo:</b> ';
 $lang['Error_FluxBB_Dup'] = '<b>Ошибка в таблице аккаунтов FluxBB - найдены дубликаты:</b> ';
@@ -88,7 +88,7 @@
 $lang['Bridge_UAM'] = 'Проверка доступа на форум через плагин UserAdvManager (UAM): Включите связь между двумя плагинами, что позволит запретить доступ к вашим форумом FluxBB, пока пользователь не пройдет проверку его регистрации в галерее (функция должна быть активна на UAM).';
 $lang['Del_User'] = 'Удаление из аккаунта FluxBB:';
-$lang['Details_false'] = '--&gt; Показывает большинство результатов операции';
-$lang['Details_true'] = ' --&gt; Все подробности о результатах операции.';
-$lang['Details'] = 'Уровень детализации в отчетах операций.';
+$lang['Details_false'] = '--&gt; Минимальный уровень. Показывает большинство результатов операции';
+$lang['Details_true'] = ' --&gt; Максимальный уровень. Все подробности о результатах операции.';
+$lang['Details'] = 'Уровень детализации в отчетах операций (синхронизация и перенос)';
 $lang['Error_Link_Del'] = '<b>Ошибка в таблице ссылок между 2 пользователями:</b> ';
 $lang['FluxBB_Group'] = 'Укажите идентификатор  <b>группы FluxBB "</ B>, в которой находятся непроверенные пользователи (должна быть создана заранее в FluxBB). Чтобы быть эффективной, эта группа не должна иметь разрешение на форуме (см. в конце этой странице сведения об использовании этой опции).';
@@ -141,16 +141,16 @@
 $lang['Sync_PWG2FluxBB'] = '<b> Анализ существующих учетных записей в Piwigo и отсутствующих в FluxBB </ B>';
 $lang['Sync_Text'] = '  <div class="warning">Вы уже использовали плагин для связи Piwigo (плагин обновления) и/или ваш FluxBB форум содержит пользователей!</div>
-  <br> -> Это означает, что на форуме пристутсвуют пользователи.<br><br>
-  - Синхронизация обнаруживает данные, сверя имена пользователей, пароли (в зашифрованном виде), адреса электронной почты в обеих таблицах [PrefixPWG]_user и [PrefixFluxBB]_user.<br>
+  <br> -> Это означает, что на форуме присутствуют пользователи.<br><br>
+  - Синхронизация обнаруживает данные, сверяя имена пользователей, пароли (в зашифрованном виде), адреса электронной почты в обеих таблицах [PrefixPWG]_user и [PrefixFluxBB]_user.<br>
   - Затем обновляет таблицу соответствия, а также пароль и адрес электронной почты для каждой учетной записи из Piwigo в FluxBB кроме Piwigo гостей и FluxBB Anonymous.<br>
-  - Наконец показывет одинокие учетные записи, которые существуют только в одном из 2 ###_user tables.<br>
+  - Наконец, показывает одиночные учетные записи, которые существуют только в одном из 2 ###_user tables.<br>
   <br>
   В конце операции, запустите проверки и проверьте пользователей в FluxBB на предмет дубликатов. В случае, если они окажутся, удалите наиболее старых (установите сортировку FluxBB пользователей в соответствии с датой их регистрации).<br>';
 $lang['Sync_Title'] = 'Синхронизировать учетные записи из Piwigo в FluxBB';
 $lang['Title_Tab'] = 'Register_FluxBB - Версия: ';
-$lang['UAM_Bridge_advice'] = 'Плагин UserAdvManager позволяет заставить вновь зарегестировавшихся пользователей подтвержтать свою регистрацию, прежде чем разрешить им доступ ко всей галерее. Совместное использование этого плагина с Register_FluxBB может сделать то же самое на связанных форумах: новые пользователи не могут писать в форум, пока не подтверждена их регистрация в галерее.<br>
+$lang['UAM_Bridge_advice'] = 'Плагин UserAdvManager позволяет заставить вновь зарегестировавшихся пользователей подтверждать свою регистрацию, прежде чем разрешить им доступ ко всей галерее. Совместное использование этого плагина с Register_FluxBB может сделать то же самое на связанных форумах: новые пользователи не могут писать в форум, пока не подтверждена их регистрация в галерее.<br>
 Вот общее описание процедуры:
 <br>
-- В админской панели вашего форума FluxBB, создайте, по крайней мере, 2 группы пользователей (например: "проверенные" и "непроверенные").<br>
+- В админской панели вашего форума FluxBB создайте, по крайней мере, 2 группы пользователей (например: "проверенные" и "непроверенные").<br>
 - Дайте первой группе("проверенные") любые права на форуме, как вам больше нравится и установите группой по-умолчанию.<br>
 - Удалите у второй группы ("непроверенные") все права на форуме (пользователи этой группы свогут только читать общедоступные сообщения).<br>
@@ -160,10 +160,10 @@
 <b class="mod"><u>Важные замечания:</u></b>
 <br>
-Если вы уже используете более раннюю версию Register_FluxBB, учетные записи Piwigo, связаны между галереей и FluxBB форумом не будут затронуты последствиями связки. Изменения коснутся только новых пользователей, котроые будут зарегестрированы после активации связки.<b><u>Функция ресинхронизации учетных записей будет считать недействительной.</u></b><br>
+Если вы уже используете более раннюю версию Register_FluxBB, учетные записи Piwigo, связаные между галереей и FluxBB форумом не будут затронуты последствиями связки. Изменения коснутся только новых пользователей, которые будут зарегестрированы после активации связки.<b><u>Функция ресинхронизации учетных записей будет считать недействительной.</u></b><br>
 Аналогично, если вы никогда не пользовались Register_FluxBB, статус подтвержденных или неподтвержденных учетных записей Piwigo не будет иметь значения во время миграции из галереи на форум FluxBB.';
-$lang['error_config_admin1'] = 'ОШИБКА: неверное имя пользователя администратора Piwigo!';
+$lang['error_config_admin1'] = 'ОШИБКА: неверное имя вебмастера Piwigo!';
 $lang['error_config_admin2'] = 'ОШИБКА: имя учетной записи администратора FluxBB отличается от Piwigo! Проверьте настройки вашего форума FluxBB и переименуйте учетную запись администратора так, чтобы она совпадала с администратором Piwigo.';
 $lang['error_config_guest'] = 'ОШИБКА: неверное имя учетной записи гостя FluxBB!';
-$lang['About_Bridge_Title'] = 'О Register_FluxBB / UAM саязке';
+$lang['About_Bridge_Title'] = 'О Register_FluxBB / UAM связке';
 $lang['About_Bridge_Title_d'] = 'Инструкция о связке между Register_FluxBB и плагином UserAdvManager';
 $lang['About_Reg_Title'] = 'О регистрации пользователей на форуме FluxBB';
@@ -176,3 +176,8 @@
 $lang['Mig_Title_d'] = 'используйте ТОЛЬКО если вы не использовали этот плагин ранее';
 $lang['Sync_Title_d'] = 'Используйте для ре-синхронизации учетной записи';
+$lang['RegFluxBB_Password_Reset_Msg'] = 'Пожалуйста, обновите свой пароль для синхронизации с форумом. После этого Вы сможете входить на форум с тем же логином, что и при входе в галерею.';
+$lang['To synchronize your forum access with the gallery you have been registered at %s!'] = 'Для синхронизации Вашего доступа на форум и в галерею, Вы были зарегистированы как %s!';
+$lang['Add_User2pwg'] = 'Добавление аккаунта в Piwigo:';
+$lang['Please change your password at your first connexion on the gallery'] = 'Пожалуйста, смените свой пароль во время своего первого входа в галерею после завершения синхронизации данных';
+$lang['RegFluxBB_Email_or_Username_already_exist'] = 'Синхронизация из FluxBB в Piwigo остановлена: указанный e-mail или имя пользователя ужЕ существуют в таблице пользователей Piwigo. ';
 ?>