Index: /extensions/event_cats/language/pt_BR/description.txt
===================================================================
--- /extensions/event_cats/language/pt_BR/description.txt	(revision 22494)
+++ /extensions/event_cats/language/pt_BR/description.txt	(revision 22494)
@@ -0,0 +1,1 @@
+Permite entrar em uma galeria sem fornecer nome de usuário e senha, e permite o registo com acesso imediato à categoria particular.
Index: /extensions/event_cats/language/pt_BR/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/pt_BR/duplic.lang.php	(revision 22494)
+++ /extensions/event_cats/language/pt_BR/duplic.lang.php	(revision 22494)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Create a new account with same properties'] = 'Criar uma nova conta com as mesmas propriedades';
+$lang['Duplicate'] = 'Duplicar';
+?>
Index: /extensions/event_cats/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/pt_BR/plugin.lang.php	(revision 22494)
+++ /extensions/event_cats/language/pt_BR/plugin.lang.php	(revision 22494)
@@ -0,0 +1,191 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ec_help_banner2_new_c'] = 'Copie UMA Entrada parágrafo associar o MESMO <span class = "help_bi"> Código </ span> (AINDA Ligado AO MESMO <span class = "help_bi"> Looks Favoritos identificado </ span>), par a Diferente <span class = "help_bi "> Página exibida </ span>, Por Exemplo, parágrafo fornecer Acesso a hum Outro Evento (ASSIM uM Álbum Diferente) par o MESMO grupo de PESSOAS Que Você. JÁ CRIOU uMA Entrada. <span class = "help_b"> Reiniciar </ span> de para voltar par a Criação de Entrada "normal".';
+$lang['ec_help_banner1_new_m'] = 'Selecinar um <span class = "help_bi">código</span> para trocar o correspondente  <span class = "help_bi">usuário identificado</span> and&nbsp;/&nbsp;ou a <span class = "help_bi">página a ser mostrada</span>. Se voce <span class = "help_b">força</span> a página a ser exibida, ou mudar o usuário identificado, outras entradas usando o mesmo código serão excluídas. Escolher <span class = "help_b">Nenhuma</span> como usuário identicado, ou <span class = "help_b">Acrsso negado</span> como a página de exibição, vai tornar a entrada "desatualizada": sem identificação, mas você pode exibir uma página personalizada para dar uma explicação. Para <span class = "help_b">gerar o nome de usuário</span>, selecione primeiro a <span class = "help_bi">página para exibir</span>, como o nome de usuário com base no nome da página a ser exibida.';
+$lang['ec_help_banner1_new_c'] = ' Link um <span class = "help_bi">código</span> a um <span class = "help_bi">usuário identificada</span> e a uma <span class = "help_bi">página mostrada</span>; ele irá criar uma URL correspondente na guia "Autolog entradas", assim você será capaz de copiar e transmitir para as pessoas envolvidas. (É muito complicado, muito pesado para fornecer aqui uma lista de todas as fotos, assim você deve escrever o identificador da foto ("<span class = "help_b">Photo id</span>"), se voce quiser usar este campo.) <span class = "help_b">Gere um nome de usuário</span> e <span class = "help_b">Completo auto</span>: selecione primeiro uma <span class = "help_bi">página para exibição</span>, como o nome de usuário baseia-se no nome desta página. <span class = "help_b">Comentário</span>: memo, nota pessoal, visível apenas na parte de administração. <span class = "help_b">Código existente</span>: usar o mesmo código para identificar a mesma conta, mas redirecioná-lo para outra página. Página exibida <span class = "help_b">Forçada</span>: para impor a página exibida qualquer que seja os parâmetros <span class = "help_bi">&cat=</span>, <span class = "help_bi">&img=</span>, <span class = "help_bi">&ap=</span> in the URL.';
+$lang['ec_help_banner1_entries'] = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span class = "help_b">Faça entrada desatualizada</span>: para fazer um código que não poderá mais ser usado, mas com uma mensagem personalizada;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span class = "help_b">Forçar</span>:para impedir que usuários acessem a outras páginas, modificando a URL;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span class = "help_b">Não forçar</span>:para ser capaz de usar o mesmo código para acessar diferentes páginas;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span class = "help_b">Copiar</span>: para criar uma nova entrada usando o mesmo código, mas indo para uma página diferente;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span class = "help_b">Testar</span>:para verificar se funciona;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span class = "help_b">Excluir</span>:Excluir entrada;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span class = "help_b">Modificar</span>: Modificar entrada.</ul>';
+$lang['ec_help_banner1_duplic'] = '<span class = "help_i">Duplicar uma conta</span>quando um usuário já está identificado, cria outra conta com exatamente as mesmas permissões: não é preciso esperar para validação de um administrador. Selecione os<span class = "help_bi">grupos</span>, <span class = "help_bi">tipos</span>, and&nbsp;/&nbsp;ou diretamente<span class = "help_bi">usuários</span>permissão para duplicar sua conta. Exibir "<span class = "help_b">Registrar</span>"de contas genéricas para que a duplicação seja despercebido para eles (ver <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Help"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;help page</a>para mais detalhes).';
+$lang['ec_help_banner2_new_m'] = 'Registrando uma conta que não requer nome de usuário nem senha é obviamente inseguro. Assim, é melhor não deixar que um código "Autolog" ativo por muito tempo, pois ele pode ser mal utilizado.Para fazer uma entrada desatualizada permitir a exibição de uma mensagem de explicação em uma página adicional. Você também pode usar o plugin <a href="http://piwigo.org/ext/extension_view.php?eid=190" = "Abrir uma nova janela no PWG plugin de Stuffs"onclick="window.open(this.href; return false;">PWG Stuffs</a> para exibir mensagens em álbuns e fotos. <span class="help_b"> Reiniciar </span> para voltar a uma modificação do código "normal".';
+$lang['ec_submit_user_miss'] = 'Você deve fornecer um nome de usuário.';
+$lang['ec_tab_autoid_entries'] = 'Entradas Autolog';
+$lang['ec_tab_autoid_modif'] = 'Modificações Autolog ';
+$lang['ec_tab_autoid_new'] = 'Novo Autolog';
+$lang['ec_tab_config'] = 'Configuração';
+$lang['ec_tab_duplication'] = 'Duplicação';
+$lang['ec_user_access_AP'] = 'Cuidar deste usuário "%2$s" é permitido na página Páginas Adicionais  "%1$s".';
+$lang['ec_user_already_exists'] = 'Este nome de usuário já existe.';
+$lang['ec_user_create_OK'] = 'Usuário "%s", criado';
+$lang['ec_user_create_pb'] = 'Impossível nova criação de usuário';
+$lang['ec_user_generic_OK'] = 'Usuário "%s" genérico';
+$lang['ec_user_generic_pb'] = 'Problema ao criar o usuário "%s" genérico';
+$lang['ec_username_miss'] = 'usuário não existe (provavelmente excluído)';
+$lang['ec_username_pb'] = 'campo "user_id" corrompido (valores diferentes nas entradas usando o mesmo código)';
+$lang['ec_image_miss'] = 'foto não existe (provavelmente excluída)';
+$lang['ec_new_pwd_gen'] = 'Não se esqueça de escrever a senha abaixo!';
+$lang['ec_nok'] = 'NÃO';
+$lang['ec_nok_action_pb'] = 'NÃO: "ação" corrompida';
+$lang['ec_nok_ap_pb'] = 'NÃO';
+$lang['ec_nok_userid_miss'] = 'NÃO: usuário desconhecido';
+$lang['ec_nok_userid_pb'] = 'NÃO: "user_id" corrompida';
+$lang['ec_ok'] = 'SIM';
+$lang['ec_ok_ap_pb'] = 'SIM: mas desconhecidos em Adicionar. página';
+$lang['ec_ok_cat_pb'] = 'SIM, mas album desconhecido';
+$lang['ec_ok_img_pb'] = 'SIM: mas foto desconhecida';
+$lang['ec_submit_action_miss'] = 'Você deve fornecer uma página para exibir.';
+$lang['ec_submit_code_bad'] = 'Um código deve ter entre 4 a 32 dígitos inclusos em [a-zA-Z0-9_-].';
+$lang['ec_submit_code_miss'] = 'Você deve fornecer um código.';
+$lang['ec_group_create_OK'] = 'Grupo"%s" criado';
+$lang['ec_group_create_OK2'] = '"%1$s" conectado a "%2$s"';
+$lang['ec_group_create_pb'] = 'Grupo "%s" criação impossível';
+$lang['ec_help_banner1_config'] = '<span class="help_i">Duplicar uma conta</span> quando um usuário já está identificado, será criada outra conta com exatamente as mesmas permissões: não há necessidade de esperar por validação de um administrador.&nbsp;—Selecione a página que você deseja ser exibida em caso de uso de código desconhecido (por exemplo, um código que você tenha excluído).&nbsp;—Na guia "Autolog entradas", os comentários podem ser apresentados como descrições, ou em uma nova linha sob o código.&nbsp;—Como você está lendo atualmente ele, o banner de ajuda está ativo no momento;-)!&nbsp;—Mostrar o link "Conexão" para os usuários genéricos, permite que os usuários já registrados em sua galeria fazer login facilmente.';
+$lang['ec_confirm_disable'] = 'Você realmente quer fazer a entrada selecionada desatualizada?
+
+Isto irá apagar todas as outras entradas usando o mesmo código, se houver.';
+$lang['ec_confirm_force'] = 'Você realmente deseja forçar a página exibida para a entrada selecionada?
+
+Isto irá apagar todas as outras entradas usando o mesmo código, se houver.';
+$lang['ec_confirm_test'] = 'Realmente testar o código selecionado?
+
+Isso irá encerrar a sua sessão de administração.';
+$lang['ec_dspl_nok_actn'] = '"ação" inutilizável';
+$lang['ec_dspl_nok_ap'] = '(Página Adicional n°%s não existe)';
+$lang['ec_dspl_nok_cat'] = '(album n°%s não existe)';
+$lang['ec_dspl_nok_img2'] = '(foto n°%s não existe no album n°%2$s)';
+$lang['ec_dspl_nok_usr'] = 'Usuário n°%s não existe';
+$lang['ec_dspl_ok_ap'] = 'Página adicional n°%1$s: %2$s';
+$lang['ec_dspl_ok_cat'] = 'Album n°%1$s: %2$s';
+$lang['ec_dspl_ok_img2'] = 'foto n°%1$s: %2$s (%3$s)';
+$lang['ec_dspl_usr_pb'] = '"user_id" inutilizável';
+$lang['ec_entry_already_exists'] = 'Entrada %s já existe com exatamente a mesma configuração';
+$lang['ec_entry_create_OK'] = 'Entrada %s criada';
+$lang['ec_entry_create_pb'] = 'Criação de entrada impossível';
+$lang['ec_entry_del_nok'] = 'Problema ao excluir a entrada %s:';
+$lang['ec_entry_del_ok'] = 'Entrada %1$s ("%2$s") excluída.';
+$lang['ec_entry_dont_exist'] = 'Entrada %s não existe';
+$lang['ec_entry_modify_OK'] = 'Entrada %s modificada';
+$lang['ec_gen_user_act_miss'] = 'Selecione primeiro uma página para exibir';
+$lang['Types'] = 'Tipos de usuários';
+$lang['URL'] = 'URL:';
+$lang['Unforce display ttip'] = 'Não force mais este código para exibir esta página';
+$lang['Unknown code'] = 'Código desconhecido';
+$lang['Username'] = 'Usuário';
+$lang['ec_DB_problem'] = 'Problema de acesso ao banco de dados (posição %s):';
+$lang['ec_act_cat_miss'] = 'Album?';
+$lang['ec_act_img_miss'] = 'O identificador de fotografia deve ser um número.';
+$lang['ec_action_pb'] = 'campo "action" corrompido (valores diferentes nas entradas usando o mesmo código)';
+$lang['ec_add_page_miss'] = 'Páginas Adicionais página não existe (provavelmente excluída)';
+$lang['ec_assoc_pb'] = 'Impossível ligação "%1$s" para "%2$s"';
+$lang['ec_category_miss'] = 'album não existe (provavelmente excluído)';
+$lang['ec_clk_entry_miss'] = 'Selecione uma entrada primeiro.';
+$lang['ec_cnfrm_forced'] = '(página exibida forçado)';
+$lang['ec_code_already_exists'] = 'Este código já existe.';
+$lang['ec_conf_pwd_dont_match'] = 'A senha não está devidamente confirmada.';
+$lang['ec_config_saved'] = 'Configuração salva';
+$lang['ec_confirm_change_user'] = 'Modificação no Nome do Usuário excluirá
+
+todas as outras entradas, utilizando o mesmo código, se houver. OK?';
+$lang['ec_confirm_del_other'] = 'Isto irá apagar todas as outras entradas usando o mesmo código, se houver.
+
+OK?';
+$lang['ec_confirm_delete'] = 'Você realmente deseja excluir a entrada selecionada?';
+$lang['New entry title'] = 'Nova entrada de um parâmetro "autolog"';
+$lang['New generic user'] = 'Novo usuário (criar uma conta genérica):';
+$lang['New group'] = 'Novo grupo';
+$lang['New password'] = 'Senha';
+$lang['New username'] = 'Nome de Usuário';
+$lang['No account'] = 'Sem conta';
+$lang['No user'] = 'Nenhuma (entrada desatualizada)';
+$lang['Optional'] = 'Memo pessoal exibido apenas nas páginas de administração';
+$lang['Other'] = 'Outro';
+$lang['Outdate entry ttip'] = 'Faça entrada desatualizada';
+$lang['Page for unknown code'] = 'Exibição da página quando um "código autolog0 é desconhecido"';
+$lang['Place title on top ttip'] = 'Mostrar este título no cabeçalho da página';
+$lang['Register replacement'] = 'Registrar link:%1$s para todas as páginasque possam ser duplicadas, %1$s substituir "%2$s" com "%3$s"';
+$lang['Save dup. config btn'] = 'Guardar duplicação de configuração';
+$lang['Selected entry'] = 'Entrada selecionada';
+$lang['Selection per group'] = 'Seleção por grupo';
+$lang['Show'] = 'exibir';
+$lang['Test'] = 'Teste';
+$lang['Test URL ttip'] = 'Teste a URL ( => admin. session terminated)';
+$lang['Tools'] = 'Ferramentas';
+$lang['Force display ttip'] = 'Forçar este código para exibir esta página';
+$lang['Forced'] = 'Forçado';
+$lang['Full auto'] = 'Totalmente automático (selecione primeiro uma página para exibir)';
+$lang['Generate username'] = 'Gerar um nome de usuário (selecione primeiro uma página para exibir)';
+$lang['Grant to groups btn'] = 'Conceda grupos para grupos selecionados';
+$lang['Grant to types btn'] = 'Conceder a duplicação de tipos selecionados';
+$lang['Grant to users btn'] = 'Conceder a duplicação para usuários selecionados';
+$lang['Help banner'] = 'Banner de ajuda';
+$lang['Hide'] = 'esconder';
+$lang['Home'] = 'Home';
+$lang['Identification'] = 'Identificação?';
+$lang['Identified user'] = 'Usuário identificado';
+$lang['Image id'] = 'Foto id';
+$lang['In a row'] = 'Em uma linha';
+$lang['JS needed'] = 'Javascript deve ser ativado para que esta página funcione corretamente!';
+$lang['Modify'] = 'Modificar';
+$lang['Modify entry title'] = 'Modificação de uma entrada de parâmetro "Autolog"';
+$lang['Modify entry ttip'] = 'Modificar entrada';
+$lang['New code'] = 'Novo código:';
+$lang['New entry'] = 'Nova entrada';
+$lang['Comments display'] = 'Mostrar comentários';
+$lang['Configuration'] = 'Configuração';
+$lang['Confirm password'] = 'Confirmar pwd:';
+$lang['Copy URL ttip'] = 'Copie este link, a fim de transmiti-lo';
+$lang['Delete'] = 'Excluir';
+$lang['Delete entry ttip'] = 'Excluir entrada';
+$lang['Deny to groups btn'] = 'Negar a duplicação para grupos selecionados';
+$lang['Deny to types btn'] = 'Negar a duplicação de tipos selecionados';
+$lang['Deny to users btn'] = 'Negar a duplicação para usuários selecionados';
+$lang['Display connection'] = 'Mostrar "%2$s"link%1$s para usuários genéricos';
+$lang['Displayed page'] = 'Página exibida';
+$lang['Dup. allowed tks to'] = 'Duplicação permitida graças a grupos e tipos de associação';
+$lang['Duplicate entry ttip'] = 'Criar uma nova entrada usando o mesmo código';
+$lang['Duplication'] = 'Duplicação';
+$lang['Duplication allowance'] = 'Permitir duplicação';
+$lang['Duplication allowed'] = 'Duplicação permitida';
+$lang['Duplication denied'] = 'Duplicação proibida';
+$lang['Entry'] = 'Entrada';
+$lang['Existing code'] = 'Código existente:';
+$lang['Existing user'] = 'Usuário existente:';
+$lang['Access denied'] = 'Acesso proibido';
+$lang['Acknowledgement'] = 'o objetivo desta extensão é permitir a extração automática de uma conta ("Autolog"), e a duplicação da conta com a qual o visitante está conectado no momento ("duplicação"). <br/><br/> Muito obrigado ao Forum, PLG, ddtddt, flipflip, VDigital, Gotcha pelos testes, P@t para o código principal :-)!';
+$lang['Additional Page'] = 'Página Adicional';
+$lang['Additional Pages active'] = 'Páginas Adicionais plugin: ativado';
+$lang['Additional Pages inactive'] = '<a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153"título="Abra uma nova janela do plugin Páginas Adicionais" onClick = "window.open(this.href); return false;">Páginas Adicionais</a> plugin (exibir uma página de texto): não ativado';
+$lang['Admin page title'] = 'Categorias de Eventos';
+$lang['All accounts'] = 'Todas as contas';
+$lang['All but generics'] = 'Todas as contas, mas os genéricos';
+$lang['As tooltip'] = 'Como dica';
+$lang['Auto code button'] = 'Gerar um código';
+$lang['Auto code end'] = 'dígitos';
+$lang['Auto code max'] = ' (máx)';
+$lang['Auto code mid'] = 'tendo';
+$lang['Auto code min'] = '(mín)';
+$lang['Autolog entries'] = 'Entradas "Autolog"';
+$lang['Banner off'] = 'Desativados';
+$lang['Banner on'] = 'Ativado';
+$lang['Category'] = 'Album';
+$lang['Code'] = 'Código';
+$lang['Comment'] = 'Comentário';
+?>