Index: /extensions/event_cats/language/tr_TR/description.txt
===================================================================
--- /extensions/event_cats/language/tr_TR/description.txt	(revision 22496)
+++ /extensions/event_cats/language/tr_TR/description.txt	(revision 22496)
@@ -0,0 +1,1 @@
+Kullanıcı adı ve şifre vermeden bir galeride giriş sağlar, kayıt için özel kategoriye erişime izin verir.
Index: /extensions/event_cats/language/tr_TR/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/tr_TR/duplic.lang.php	(revision 22496)
+++ /extensions/event_cats/language/tr_TR/duplic.lang.php	(revision 22496)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Create a new account with same properties'] = 'Aynı özelliklere sahip yeni bir hespa oluşturun';
+$lang['Duplicate'] = 'Kopyasını yapmak';
+?>
Index: /extensions/event_cats/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/tr_TR/plugin.lang.php	(revision 22495)
+++ /extensions/event_cats/language/tr_TR/plugin.lang.php	(revision 22496)
@@ -45,3 +45,92 @@
 $lang['Additional Page'] = 'İlave Sayfa';
 $lang['Access denied'] = 'Giriş engellendi';
+$lang['ec_entry_dont_exist'] = '%s giriş mevcut değil.';
+$lang['ec_entry_modify_OK'] = '%s Giriş editlendi';
+$lang['ec_group_create_OK2'] = '"%1$s" linklendi "%2$s"';
+$lang['ec_confirm_force'] = 'Seçilen giriş için sayfayı görmek istediğine emin misin?
+
+Bu işlem aynı kodu kullanan tüm diğer girdileri siler.';
+$lang['ec_confirm_test'] = 'Gerçekten seçilen kodu test etmek istiyormusun?
+
+Bu işlem admin oturumunu sonlandıracaktır.';
+$lang['Dup. allowed tks to'] = 'Çoğaltma sayesinde gruplara ve türlere izin verme';
+$lang['Generate username'] = 'Kullanıcı adı oluşturma (ilk olarak görüntülmek için bir sayfa seçin)';
+$lang['New generic user'] = 'Yeni kullanıcı (genel bir hesap oluşturun)';
+$lang['No account'] = 'Hesap yok';
+$lang['Save dup. config btn'] = 'Yapılandırmayı kaydetme';
+$lang['Selected entry'] = 'Seçilen giriş';
+$lang['ec_user_create_OK'] = 'Kullanıcı "%s" oluşturuldu';
+$lang['ec_user_generic_OK'] = 'Kullanıcı "%s" genel';
+$lang['ec_user_generic_pb'] = '"%s" genel kullanıcı yaparken sorun oluştu.';
+$lang['ec_gen_user_act_miss'] = 'Görüntülemek için ilk olarak bir sayfa seçin';
+$lang['ec_group_create_OK'] = 'Grup "%s" oluşturuldu';
+$lang['ec_group_create_pb'] = 'Grup "%s" oluşturmak mümkün değildir';
+$lang['ec_nok'] = 'HAYIR';
+$lang['ec_nok_action_pb'] = 'HAYIR: "işlem" hatalı';
+$lang['ec_nok_ap_pb'] = 'HAYIR';
+$lang['ec_nok_userid_miss'] = 'HAYIR: kullanıcı tanımlı değil';
+$lang['ec_nok_userid_pb'] = 'HAYIR: "user_id" hatalı';
+$lang['ec_ok_ap_pb'] = 'EVET, ancak bilinmeyen Add. Sayfası';
+$lang['ec_conf_pwd_dont_match'] = 'Şifre teyit edilemedi.';
+$lang['Show'] = 'göster';
+$lang['Test'] = 'Test';
+$lang['Test URL ttip'] = 'URL test (=>admin.session terminated)';
+$lang['Tools'] = 'Araçlar';
+$lang['Types'] = 'Kullanıcı türleri';
+$lang['URL'] = 'URL:';
+$lang['Unforce display ttip'] = 'Bu sayfayı görüntülemek için bu kodu daha fazla zorlamayın';
+$lang['Unknown code'] = 'Tanımsız kod';
+$lang['Username'] = 'Kullanıcı adı';
+$lang['ec_DB_problem'] = 'Veritabanı erişim sorunu(konum %s):';
+$lang['ec_act_cat_miss'] = 'Albüm?';
+$lang['ec_act_img_miss'] = 'Fotoğraf tanımlayıcı bir sayı olmalıdır';
+$lang['ec_category_miss'] = 'albüm mevcut değildir (Silinmiş olabilir)';
+$lang['ec_clk_entry_miss'] = 'Öncelikle bir giriş seçin';
+$lang['ec_cnfrm_forced'] = '(Görüntülenen sayfa zorunludur)';
+$lang['ec_code_already_exists'] = 'Bu kod zaten mevcuttur';
+$lang['ec_entry_del_nok'] = '%s girişi silerken sorun oluştu:';
+$lang['ec_config_saved'] = 'Yapılandırma kaydedildi';
+$lang['ec_confirm_delete'] = 'Seçilen girişi silmek istediğinize eminmisiniz?';
+$lang['ec_confirm_disable'] = 'Gerçekten seçilen girdiyi eski olarak işaretlemek istiyormusunuz?
+
+Eğer aynı kodu kullanan başka girişler varsa onlar da silinecektir.';
+$lang['ec_entry_create_OK'] = 'Giriş %s oluşturuldu';
+$lang['ec_entry_create_pb'] = 'Giriş oluşturmak imkansız';
+$lang['ec_ok'] = 'EVET';
+$lang['ec_tab_config'] = 'Konfigürasyon';
+$lang['ec_tab_duplication'] = 'Kopya';
+$lang['ec_user_already_exists'] = 'Bu kullanıcı adı mevcut';
+$lang['ec_user_create_pb'] = 'Yeni kullanıcı oluşturmak mümkün değil';
+$lang['ec_username_miss'] = 'Kullanıcı yok (silinmiş olabilir)';
+$lang['Other'] = 'Diğer';
+$lang['Place title on top ttip'] = 'Sayfanın en üstünde bu başlığı göster';
+$lang['In a row'] = 'Arka arkaya';
+$lang['Modify'] = 'Değiştirmek';
+$lang['Modify entry ttip'] = 'Girdiyi değiştirin';
+$lang['New code'] = 'Yeni kod';
+$lang['New entry'] = 'Yeni giriş';
+$lang['New group'] = 'Yeni grup';
+$lang['New password'] = 'Şifre';
+$lang['New username'] = 'Kullanıcı adı';
+$lang['Entry'] = 'Giriş';
+$lang['Existing code'] = 'Mevcut kodu:';
+$lang['Existing user'] = 'Mevcut kullanıcı:';
+$lang['Force display ttip'] = 'Bu sayfayı görüntülemek için bu kodu kullan';
+$lang['Forced'] = 'Zorunlu';
+$lang['Full auto'] = 'Full otomatik ( görüntülemek için ilk sayfayı seçin)';
+$lang['Help banner'] = 'Yardım bannerı';
+$lang['Hide'] = 'gizle';
+$lang['Home'] = 'Anasayfa';
+$lang['Identification'] = 'Kimlik?';
+$lang['Identified user'] = 'Belirtilen kullanıcı';
+$lang['Image id'] = 'Resim ID';
+$lang['Deny to groups btn'] = 'Seçilen grupların çoğaltılmasını reddetme';
+$lang['Deny to types btn'] = 'Seçilen türlerin çoğaltılmasını reddetme';
+$lang['Deny to users btn'] = 'Seçilen kullanıcıların çoğaltılmasını reddetme';
+$lang['Displayed page'] = 'Görüntülenen sayfa';
+$lang['Duplicate entry ttip'] = 'Aynı kodu kullanarak yeni bir giriş oluşturmak.';
+$lang['Duplication'] = 'Çoğaltma';
+$lang['Duplication allowance'] = 'Çoğaltılmasına izin ver';
+$lang['Duplication allowed'] = 'Çoğaltma kabuledildi';
+$lang['Duplication denied'] = 'Çoğaltma reddedildi';
 ?>