Index: /extensions/event_cats/language/de_DE/help.html
===================================================================
--- /extensions/event_cats/language/de_DE/help.html	(revision 22514)
+++ /extensions/event_cats/language/de_DE/help.html	(revision 22514)
@@ -0,0 +1,137 @@
+<b>Event Cats ermöglicht es Benutzern ohne Benutzername und Passwort direkt in Piwigo anzumelden ("autolog"). Event Cats erlaubt es Besuchern die gleiche Berechtigung zu erhalten wie ein definiertes Benutzerkonto ("duplication").
+
+Der Hintergrund ist es zu einem Event bei dem Du der Fotograf warst Deine Bilder auf einem einfachen Weg mit Leuten zu teilen, die bisher noch kein Piwigo Konto in Deiner Galerie haben. Dies wird durch die Darstellung von Fotos in einer privaten Kategorie ermöglicht.
+
+Die vollständige Hilfe gibt es derzeit nur auf Englisch:</b>
+
+<!-- Keeps file coded in UTF-8 without BOM : é -->
+
+<h1>Event Cats</h1>
+
+<h3>Log in an account thanks to a single URL; duplicate an account</h3>
+
+<h5><span style = "font-style:italic;">Display directly: <a href = "#principles">Principles</a>, <a href = "#tabs">Tabs</a>, <a href = "#acknowledgements">Acknowledgements</a></span></h5>
+
+<h2><a name = "principles">Principles</a></h2>
+
+<p>
+  &nbsp;&nbsp;&nbsp;&nbsp;Event Cats allows a user to log in Piwigo without providing a username and a password <span style = "text-decoration:underline;">("autolog")</span>. It also allows that an account created by a visitor gets immediately the same authorization access as another account <span style = "text-decoration:underline;">("duplication")</span>.<br />
+<br />
+  &nbsp;&nbsp;&nbsp;&nbsp;The purpose is to allow you, after an event where you "have been the photographer", to share your pictures a very simple way with people not having (yet) an account on your gallery, by displaying your images in a <span style = "text-decoration:underline;">private</span> category. But there might be other ways to use it :-) ...
+</p>
+<hr width = "5%" align = "center">
+<p>
+  &nbsp;&nbsp;&nbsp;&nbsp;The automatic identification is carried out thanks to the "autolog" code, placed in the link that you will give to the people you want to give an access to you gallery. By using this link, the visitors will find themselves directly logged on your gallery under the <span style = "text-decoration:underline;">account associated</span> to the "autolog" code. The page displayed just after identification can be:
+  <ul>
+    <li>home page;</li>
+    <li>a category page;</li>
+    <li>a picture;</li>
+    <li>a page from plugin "<a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" title = "Open a window on plugin Additional Pages" onclick = "window.open(this.href); return false;">Additional Pages</a>", provided of course that this plugin is installed and activated, and that at least one of its page is available.</li>
+  </ul>
+  &nbsp;&nbsp;&nbsp;&nbsp;Once identified, your visitors can create a <span style = "text-decoration:underline;">personal</span> account having the same properties as the account under which they were previously identified. This way, one can create his own account and have immediate access to private content on your gallery, without having to wait for a validation from you. You can grant or deny account duplication, in the same manner you would grant or deny access to a private category, by individually selecting groups, account status, or accounts.
+</p>
+<p>
+  &nbsp;&nbsp;&nbsp;&nbsp;The link (URL) allowing automatic identification on your gallery, is built as follow:
+  <ul><li style = "list-style-type:none;">http://<span style = "font-style:italic;">&#139;your gallery location&#155;</span><span style = "font-weight:bold;">&#38;autolog=<span style = "font-style:italic;">&#139;code&#155;</span></span></li></ul>
+  &nbsp;&nbsp;&nbsp;&nbsp;When the user must be redirected to page other than the home page, the following parameters are added: <span style = "font-weight:bold;">&#38;cat=<span style = "font-style:italic;">&#139;category identifier&#155;</span></span> for a category, <span style = "font-weight:bold;">&#38;img=<span style = "font-style:italic;">&#139;image identifier&#155;</span></span> for an image (in addition of category parameter), and <span style = "font-weight:bold;">&#38;ap=<span style = "font-style:italic;">&#139;Add. P. identifier&#155;</span></span> for a page from the Additional Pages plugin. If an autolog URL is submitted with a <span style = "font-weight:bold;">&#38;img</span> parameter, missing the <span style = "font-weight:bold;">&#38;cat</span> parameter, the home page will be displayed. If an autolog URL is submitted with both a <span style = "font-weight:bold;">&#38;ap</span> and a <span style = "font-weight:bold;">&#38;cat</span> parameters (with or without the <span style = "font-weight:bold;">&#38;img</span> parameter), the Additional Page will be displayed.<br />
+  <br />
+  &nbsp;&nbsp;&nbsp;&nbsp;Event Cats allows you to manage a list of codes with different associations, stored in your internet site database. Each line with a code is an <span style = "font-weight:bold;font-style:italic;">entry</span> in Event Cats.<br />
+</p>
+<p></p>
+
+<h2><a name = "tabs">Tabs</a></h2>
+
+<p>
+  &nbsp;&nbsp;&nbsp;&nbsp;Event Cats provides up to five tabs for its management:
+  <ul>
+    <li><a href = "#autolog_new">New autolog</a>;</li>
+    <li><a href = "#autolog_entries">Autolog entries</a> <span style = "font-style:italic;">(when at least one "autolog" entry exists)</span>;</li>
+    <li><a href = "#autolog_modif">Autolog modification</a> <span style = "font-style:italic;">(when at least one "autolog" entry exists)</span>;</li>
+    <li><a href = "#duplication">Duplication</a> <span style = "font-style:italic;">(when "Allow duplication" is set to "Per group selection")</span>;</li>
+    <li><a href = "#config">Configuration</a>.</li>
+  </ul>
+</p>
+
+<p>
+  <h4><a name = "autolog_new">New autolog</a></h4>
+  <p>
+    &nbsp;&nbsp;&nbsp;&nbsp;This tab allows you to create the entries in the database. An entry associates a code to a user and a page to display. It is possible to use a code several times, in case it would be convenient to give the same user access to different pages. But, of course, the same code can only be associated with one user.<br />
+    <br />
+    &nbsp;&nbsp;&nbsp;&nbsp;When creating an entry, the account used in this entry can also be created at the same time. The accounts created by Event Cats are generic accounts, <span style = "font-style:italic;">ie</span> intended to be used by several different users. The name of the account can be generated by Event Cats, provided that a page to display has been selected, as the title of the page to be displayed will be used to create the new account name. Event Cats can also create a group, which, for instance will be associated to the selected category. Thus, as the code itself can be generated by Event Cats too, it is possible to create an entry just by selecting a page to display, then click on the "Full auto" button.<br />
+    <br />
+    &nbsp;&nbsp;&nbsp;&nbsp;As the page to display is mentioned in the URL (with the parameters <span style = "font-weight:bold;">&#38;cat=<span style = "font-style:italic;">&#139;category identifier&#155;</span></span>, <span style = "font-weight:bold;">&#38;img=<span style = "font-style:italic;">&#139;image identifier&#155;</span></span>, and <span style = "font-weight:bold;">&#38;ap=<span style = "font-style:italic;">&#139;Add. P. identifier&#155;</span></span>, see above), the user has the possibility to change the requested page, by modifying the URL. If the account associated to the code is not allowed to navigate to this page, Piwigo will definetely not display it&nbsp;&#151; no danger. But, in order to avoid the message "You are not authorized to access the requested page", you can set the displayed page to be "forced", meaning that Event Cats redirects the user to the page that has been set at the time of the entry creation, whatever are parameters <span style = "font-weight:bold;">&#38;cat</span>, <span style = "font-weight:bold;">&#38;img</span>, and/or <span style = "font-weight:bold;">&#38;ap</span>, if any, in the requested URL.<br />
+    &nbsp;&nbsp;&nbsp;&nbsp;If an entry is forced, its code can of course appear only once in the Event Cats entries list. Thus, making an entry "forced", requires to delete all the other entries using the same code.<br />
+    <br />
+    &nbsp;&nbsp;&nbsp;&nbsp;The field "Comment" is completely optional, its only purpose being for you to record a small text (100 digits maximum), displayed in the entry list (tab <a href = "#autolog_entries">Autolog entries</a>) as a tooltip or on a new line under the related code.
+  </p>
+  
+  <h4><a name = "autolog_entries">Autolog entries</a></h4>
+  <p>
+    &nbsp;&nbsp;&nbsp;&nbsp;This tab is displayed when at least one "autolog" entry is available, and allows you to monitor all the entries available in your database. When an entry is selected, the related URL is displayed in the  "URL"field, so you can copy the automatic identification link, and paste it for instance in an e-mail intended to people concerned with the event you want to share the pictures. With most browsers, a click on the "URL" field will directly selects the whole field, so you just need to copy.<br />
+    <br />
+    &nbsp;&nbsp;&nbsp;&nbsp;The following tools are available in this page:
+    <ul>
+      <li style = "list-style-image:url(plugins/event_cats/icon/disable.png);">
+        <span style = "font-weight:bold;">Make entry outdated</span>: this tool is used to make Event Cats recognize the "autolog" code, but <span style = "font-weight:bold;">prevents</span> the user to login.<br />When you click on this tool, the tab <a href = "#autolog_modif">Autolog modification</a> is displayed if the plugin Additional Pages is active; if not, the entry is directly modified with "Access denied" as the page to display (after your confirmation). This feature allows you to let a code active for a certain time only, after which late visitors will be redirected to a page of your choice. Indeed, using the autolog code can allow unwanted people to access some private content, thus it can be convenient to risk it for only a short time. A perfect tool to warn visitors the URL will not be functional after some time, is the plugin <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=190" title = "Open a new page on plugin PWG Stuffs" onClick = "window.open(this.href);return false;">PWG Stuffs</a>.
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/forced.png);">
+        <span style = "font-weight:bold;">Make the entry not forced any more</span>: this tool is equivalent to uncheck the checkbox "Forced" in tab <a href = "#autolog_modif">Autolog modification</a>. This way, you will be allowed to create other entries using the same code; and users of this URL will be able to try to modify it (see <a href = "#autolog_new">New autolog</a> above).
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);">
+        <span style = "font-weight:bold;">Force entry</span>: this tool allows to force the page to display for an entry (see <a href = "#autolog_new">New autolog</a> above).
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);">
+        <span style = "font-weight:bold;">Copy entry</span>: this tool navigates to tab <a href = "#autolog_new">New autolog</a> and directly selects the entry to copy, so you can create a new entry using the same code (and the same identified user, of course), but directing to a different page.
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/url2.png);">
+        <span style = "font-weight:bold;">Test URL</span>: this tool allows you to check that the URL works as planned. Be careful: using this link will terminate your session and disconnect you from your site as administrator, of course.
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/delete.png);">
+        <span style = "font-weight:bold;">Delete entry</span>: deletes the entry :-/ .<br />Note that if a visitor uses an URL including an "autolog" code which does not exist in the database (thus for instance a code that you would have communicated during a period, and deleted), you can choose in tab <a href = "#config">Configuration</a> the page (s)he will be redirected to.
+      </li>
+      <li style = "list-style-image:url(plugins/event_cats/icon/modify.png);">
+        <span style = "font-weight:bold;">Modify entry</span>: this tool navigates to tab <a href = "#autolog_modif">Autolog modification</a> and directly selects the entry to modify.
+      </li>
+    </ul>
+  </p>
+  <h4><a name = "autolog_modif">Autolog modification</a></h4>
+  <p>
+    &nbsp;&nbsp;&nbsp;&nbsp;This tab, also available only when at least one "autolog" entry exists for your gallery, allows you to modify an entry (indeed...) Unlike during entry creation, here you can make an entry "outdated", by choosing "None" as "Identified user", or "Access denied" as "Displayed page". If "None" is selected as "Identified user", and plugin Additional Pages can be used, it is possible to choose an Additional Page as the page to display.  This way, you can make a code inactive, but display a personnalized explanation (see help on <img src = "plugins/event_cats/icon/disable.png">&nbsp;<span style = "font-weight:bold;">Make entry outdated</span> in section <a href = "#autolog_entries">Autolog entries</a>).
+  </p>
+  <h4><a name = "duplication">Duplication</a></h4>
+  <p>
+    &nbsp;&nbsp;&nbsp;&nbsp;This tab is available only when the parameter "Allow duplication" is set to "Per group selection". As a matter of fact, it is useless when duplication is allowed to all accounts, or to none.<br />
+    &nbsp;&nbsp;&nbsp;&nbsp;It allows you to monitor duplication: which accounts can be duplicated, and the way the duplication link will be displayed. The accounts are selected in exactly the same way as in the administration page "Manage permissions for a category" (as simple as copying this page :-/ ...).<br />
+    &nbsp;&nbsp;&nbsp;&nbsp;The way the duplication link is displayed, allows mainly to treat gently the users identified with a generic account (Event Cats creates only generic accounts): if a visitor used a link activating an "autolog" code, he is identified without having to provide a username and a password. In fact, he has no clue he can "copy" this account, and it is therefore useless to suggest a "duplication", a word that could not be understood at the moment. The user is simply given the opprotunity to "Register" and, if he chooses to (though he is already identified), immediately gets the same accesses as the account he was previously identified with;  this way, he is allowed to go on navigating on your gallery, in the same categories than the account associated to the "autolog" code you had provided, but with his personal account, and its related facilities: personnalization, comments with the account name... Registration is done exactly the same way as usual, and you, as an administrator are warned that your gallery counts a new user. As a matter of fact, the e-mail precises "Identified user:", showing the account the new user was identified with, when he registered, if it was after an "autolog". There is currently no known conflict with plugin <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=216" title = "Open a new window on plugin NBC UserAdvManager" onClick = "window.open(this.href);return false;">NBC UserAdvManager</a> (advanced users management).
+  </p>
+  <h4><a name = "config">Configuration</a></h4>
+  <p>
+    &nbsp;&nbsp;&nbsp;&nbsp;This last tab allows to manage the following parameters:
+    <ul>
+      <li><span style = "font-weight:bold;">Duplication</span>: same parameters than in tab <a href = "#duplication">Duplication</a>;</li>
+      <li><span style = "font-weight:bold;">Unknown code</span>: the page that will be displayed in case a visitor uses an URL including an "autolog" code which does not appear in your database (thus, for instance, when using a code you previously deleted);</li>
+      <li><span style = "font-weight:bold;">Other</span>:
+        <ul>
+          <li>you can record a comment for each entry: in tab <a href = "#autolog_entries">Autolog entries</a>, it can be displayed as tooltip, or below the codes;</li>
+          <li>if activated, the help banner will be showed each time you navigate into a tab; otherwise it will remain hidden;</li>
+          <li>if you communicate a URL to log in automatically a generic account, to some people who already have their own account on your gallery, it can be convenient for these people to log in as usual, by using the "Log in" link.</li>
+        </ul>
+      </li>
+    </ul>
+  </p>
+</p>
+<p></p>
+
+<h2><a name = "acknowledgements">Acknowledgements</a></h2>
+
+<p>
+  <ul>
+    <li><a href = "http://www.gauchon.fr" title = "Open a new window on P@t's site" onClick = "window.open(this.href);return false;">P@t</a> provided the features code; without him, Event Cats would not exist ;-)&nbsp;!&nbsp;&nbsp;;</li>
+    <li><a href = "http://piwigo.org/forum/profile.php?id=3572" title = "Open a new window on ddtddt's profile" onClick = "window.open(this.href);return false;">ddtddt</a> and <a href = "http://www.vdigital.org" title = "Open a new window on VDigital's site" onClick = "window.open(this.href);return false;">VDigital</a> helped accelerating the development of this plugin... (yes, it would have been <span style = "font-style:italic;">indeed</span> longer without them...);</li>
+    <li><a href = "http://www.julien-moreau.fr" title = "Open a new window on Gotcha's site" onClick = "window.open(this.href);return false;">Gotcha</a> made all his possible to slow me... by making me correct everything that was less nice ;-)&nbsp;&nbsp;;</li>
+    <li><a href = "http://www.marie-noelle-augendre.com" title = "Open a new window on Tosca's site" onClick = "window.open(this.href);return false;">Tosca</a> spent some time to try to understand my english... and my french ;-)&nbsp;!&nbsp;;</li>
+    <li><a href = "http://piwigo.wordpress.com" title = "Open a new window on plg's blog" onClick = "window.open(this.href);return false;">plg</a> also contributed somewhere, but the hell if I remember where ??...;</li>
+    <li>and generally speaking, the forum (flipflip, flop25...), nothing nicer to go forward!</li>
+    <li>And, last but not least, <span style = "font-weight:bold;">you</span>: by downloading this plugin; if possible using it; and possibly posting remarks, comments, features requirements: <a href = "http://piwigo.org/forum/viewtopic.php?id=15622" title = "Open a new window on Event Cats discussion" onClick = "window.open(this.href);return false;">Event Cats discussion on Piwigo forum</a>.</li>
+  </ul>
+</p>