Index: /branches/2.5/admin/themes/clear/theme.css
===================================================================
--- /branches/2.5/admin/themes/clear/theme.css	(revision 22516)
+++ /branches/2.5/admin/themes/clear/theme.css	(revision 22517)
@@ -294,5 +294,5 @@
 #pwgMain {padding-left:0}
 
-input[type="submit"], input[type="button"], input[type="reset"], a.bigButton {
+.grp_action A, input[type="submit"], input[type="button"], input[type="reset"], a.bigButton {
   font-size:12px;
   font-weight:bold;
@@ -308,5 +308,5 @@
 }
 
-input[type="submit"]:hover, input[type="button"]:hover, input[type="reset"]:hover, a.bigButton:hover {
+.grp_action A:hover, input[type="submit"]:hover, input[type="button"]:hover, input[type="reset"]:hover, a.bigButton:hover {
 	cursor: pointer;
   background-color:#ff7700;
Index: /branches/2.5/admin/themes/default/template/group_list.tpl
===================================================================
--- /branches/2.5/admin/themes/default/template/group_list.tpl	(revision 22516)
+++ /branches/2.5/admin/themes/default/template/group_list.tpl	(revision 22517)
@@ -20,5 +20,5 @@
      $(this).toggle();
     });
-    
+
     if (nbSelected<2) {
       $("#two_to_select").show();
@@ -33,6 +33,6 @@
   $("select[name=selectAction]").change(function () {
     $("[id^=action_]").hide();
-    $("#action_"+$(this).attr("value")).show();  
-    if ($(this).val() != -1) {
+    $("#action_"+$(this).attr("value")).show();
+    if ($(this).val() != -1 && $(this).val() !="manage_pemissions" && $(this).val() !="manage_members" ) {
       $("#applyActionBlock").show();
     }
@@ -60,5 +60,5 @@
     <input type="text" id="groupname" name="groupname" maxlength="50" size="20">
 		<input type="submit" name="submit_add" value="{'Add'|@translate}">
-		<input type="hidden" name="pwg_token" value="{$PWG_TOKEN}"> 
+		<input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
 
   </fieldset>
@@ -66,5 +66,5 @@
 <form method="post" name="add_user" action="{$F_ADD_ACTION}" class="properties">
   <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
-  
+
   <table class="table2">
     <tr class="throw">
@@ -83,5 +83,5 @@
     {/if}
   </table>
-  
+
   <fieldset id="action">
     <legend>{'Action'|@translate}</legend>
@@ -175,6 +175,6 @@
         {/if}
         </div>
-    
-    
+
+
         <!-- plugins -->
     {if !empty($element_set_groupe_plugins_actions)}
@@ -185,5 +185,5 @@
       {/foreach}
     {/if}
-    
+
         <p id="applyActionBlock" style="display:none" class="actionButtons">
           <input id="applyAction" class="submit" type="submit" value="{'Apply action'|@translate}" name="submit"> <span id="applyOnDetails"></span></p>
Index: /branches/2.5/admin/themes/roma/theme.css
===================================================================
--- /branches/2.5/admin/themes/roma/theme.css	(revision 22516)
+++ /branches/2.5/admin/themes/roma/theme.css	(revision 22517)
@@ -25,5 +25,5 @@
 /* INPUT[type="checkbox"], INPUT[type="radio"]
 { color:#999; background-color: #eee; }  */
-INPUT[type="submit"], INPUT[type="reset"]  { color:#999; border: 1px solid #666; background-color: #444; padding: 1px 15px; }
+.grp_action A, INPUT[type="submit"], INPUT[type="reset"]  { color:#999; border: 1px solid #666; background-color: #444; padding: 1px 15px; }
 
 h2 { color: #ccc; }
@@ -74,5 +74,5 @@
 /* borders */
 fieldset { border: 2px solid #333; }
-INPUT, SELECT, TEXTAREA { border: 1px solid #666; }
+.grp_action A, INPUT, SELECT, TEXTAREA { border: 1px solid #666; }
 input:focus, select:focus, textarea:focus {
 	background-color: #444;
@@ -212,7 +212,7 @@
 #ui-datepicker-div .ui-datepicker-days-cell { background-color:#444; border:1px solid #222; border-top-color: #444; border-left-color: #444;}
 INPUT[type="text"].large  { width: 317px; }
-input[type="button"], input[type="submit"], input[type="reset"] {
+.grp_action A, input[type="button"], input[type="submit"], input[type="reset"] {
 color:#ff3363; background-color:#222; border-color: #ff3363; }
-input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover {
+.grp_action A:hover, input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover {
 color:#999; border-color: #666; }
 .bigbutton { background:transparent url(images/quickLocalSync_inactiv.png) no-repeat scroll left top; display: block;