Index: trunk/admin/themes/clear/theme.css
===================================================================
--- trunk/admin/themes/clear/theme.css	(revision 22526)
+++ trunk/admin/themes/clear/theme.css	(revision 22541)
@@ -118,6 +118,13 @@
 
 *, *:focus, *:active, input:active, a:active, input:focus, a:focus { outline: none; -moz-outline-width: 0px; }
-a { color:#005E89; border-width: 0; }
-a:hover, a:active { color: #d54e21; border-bottom: 1px dotted #d54e21; cursor: pointer; }
+A{
+	color:#005E89;
+}
+
+A:hover, A:active {
+	color: #d54e21;
+	cursor: pointer; 
+}
+
 .content .navigationBar {color:#999;}
 ul.actions, .content form#waiting  {text-align:center;}
@@ -176,5 +183,5 @@
 #menubar li { margin: 0; padding-left:10px; }
 #menubar li A { display:block; }
-#menubar li A:hover { border:none; color:black;}
+#menubar li A:hover {color:black; text-decoration:none}
 #menubar li:hover {background-color:#dbe8f3;}
 #menubar ul { color: #ccc; margin:0; line-height: 25px;
@@ -222,5 +229,5 @@
 #ui-datepicker-div .ui-datepicker-title-row { background-color: #eee;}
 #ui-datepicker-div .ui-datepicker-title-row .ui-datepicker-week-end-cell a { color: #0cc;}
-#ui-datepicker-div  a:hover { color: #0cccc !important; border: 0; background-color: #eee !important;}
+#ui-datepicker-div  a:hover { color: #0cccc !important; background-color: #eee !important;}
 #ui-datepicker-div .ui-datepicker-header select { background-color:#bbb; color:#666; font-weight:normal;}
 #ui-datepicker-div .ui-datepicker-links { background-color:#ddd;}
@@ -260,7 +267,4 @@
 #pluginsMenuSeparator {border:1px solid #ddd;}
 
-#helpContent A {border-bottom:1px dotted #005E89;}
-#helpContent A:hover {border-bottom:1px solid #d54e21;}
-
 #pwgHead, #footer {
 	background-color: #ddd;
@@ -270,5 +274,5 @@
 
 #pwgHead A, #footer A {color:#444;}
-#pwgHead A:hover, #footer A:hover {color:black; border-color:black;}
+#pwgHead A:hover, #footer A:hover {color:black;}
 #footer { background-image: url(images/piwigo_logo_small.png);}
 
Index: trunk/admin/themes/default/template/cat_list.tpl
===================================================================
--- trunk/admin/themes/default/template/cat_list.tpl	(revision 22526)
+++ trunk/admin/themes/default/template/cat_list.tpl	(revision 22541)
@@ -116,5 +116,5 @@
       <!-- category {$category.ID} -->
       <p class="albumTitle">
-        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
+        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
         <strong><a href="{$category.U_CHILDREN}" title="{'manage sub-albums'|@translate}">{$category.NAME}</a></strong>
       </p>
Index: trunk/admin/themes/default/template/menubar.tpl
===================================================================
--- trunk/admin/themes/default/template/menubar.tpl	(revision 22526)
+++ trunk/admin/themes/default/template/menubar.tpl	(revision 22541)
@@ -39,5 +39,5 @@
         </span>
 
-        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
+        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
         <strong>{$block.reg->get_name()|@translate}</strong> ({$block.reg->get_id()})
       </p>
Index: trunk/admin/themes/default/theme.css
===================================================================
--- trunk/admin/themes/default/theme.css	(revision 22526)
+++ trunk/admin/themes/default/theme.css	(revision 22541)
@@ -97,5 +97,5 @@
 TABLE.table2 {
 	border: 1px solid #111;
-	margin: 1em auto;
+	margin: 0 auto;
 	padding: 0;
 }
@@ -111,5 +111,4 @@
 TABLE.table2 THEAD TD { padding:7px 10px 3px 10px; }
 TABLE.table2 TR.throw { text-align: center; }
-TABLE.table2 { margin:0pt auto; }
 .sort { display:block; padding:8px 5px 0px 1px; clear: right; float:left; }
 
@@ -302,17 +301,13 @@
 
 #pwgHead A {color:#ccc;}
-#pwgHead A:hover {color:#fff;border-bottom:1px solid #fff}
+#pwgHead A:hover {color:#fff}
 
 #headActions {float:right; height:36px; line-height:36px; margin-right:10px;}
 
 A {
-	text-decoration:none;
-	border-bottom: 0;
+	text-decoration: none;
 }
 A:hover {
-	border-bottom: 1px solid #FF3363;
-}
-A.button, A.button:hover {
-	border: 0;
+	text-decoration: underline;
 }
 IMG {
@@ -494,7 +489,4 @@
 UL.actions LI {
 	display: inline;
-}
-UL.actions A {
-	border: none;
 }
 
@@ -605,5 +597,5 @@
 
 #footer A {color:#ccc;}
-#footer A:hover {color:#fff;border-bottom:1px solid #fff;}
+#footer A:hover {color:#fff}
 
 #adminHome {
@@ -617,5 +609,5 @@
 
 #adminHome A {display:block; font-size:1.1em; font-weight:bold;}
-#adminHome A {border:none;}
+#adminHome A {text-decoration:none;}
 
 #piwigoInfos {float:left; margin-left:140px;}
@@ -817,5 +809,4 @@
 
 .checkActions {text-align:left;padding:0;margin:0;}
-.comment A:hover {border:none;}
 
 .pluginBoxes {
@@ -879,5 +870,4 @@
 
 .HelpActions a { border:0; margin:0; }
-.HelpActions a:hover {border:0;}
 .HelpActions li {list-style-image:none; list-style-position:outside; list-style-type:none; text-align:center; text-indent:0pt; }
 
@@ -949,8 +939,6 @@
 #batchManagerGlobal ul.thumbnails div.actions {display:none;position:absolute;top:0;right:5px;color:#fff}
 #batchManagerGlobal ul.thumbnails div.actions a {color:#fff;}
-#batchManagerGlobal ul.thumbnails div.actions a:hover {border-color:#fff;}
 #batchManagerGlobal ul.thumbnails span.wrap1:hover div.actions {display:block;}
 #batchManagerGlobal #selectedMessage {padding:5px; border-radius:5px;}
-#batchManagerGlobal #selectSet a {border-bottom:1px dotted;}
 #batchManagerGlobal #applyOnDetails {font-style:italic;}
 #batchManagerGlobal .actionButtons {text-align:left;}
@@ -958,5 +946,5 @@
 #batchManagerGlobal #filterList li {margin-bottom:5px; list-style-type:none;}
 #batchManagerGlobal a.removeFilter {background: url(icon/remove_filter.png) no-repeat top left;width:7px;height:7px;display:inline-block;}
-#batchManagerGlobal a.removeFilter:hover {background: url(icon/remove_filter_hover.png); border:none;}
+#batchManagerGlobal a.removeFilter:hover {background: url(icon/remove_filter_hover.png);}
 #batchManagerGlobal .removeFilter span {display:none}
 #batchManagerGlobal #applyFilterBlock {margin-top:20px;}
Index: trunk/admin/themes/roma/theme.css
===================================================================
--- trunk/admin/themes/roma/theme.css	(revision 22526)
+++ trunk/admin/themes/roma/theme.css	(revision 22541)
@@ -107,6 +107,6 @@
 */
 
-a { color:#f70; border-width: 0; }
-a:hover, a:active { color: #f33; border-bottom: 1px solid #FF3363; cursor: pointer; }
+a { color:#f70; }
+a:hover, a:active { color: #f33; cursor: pointer; }
 .content .navigationBar {color:#666;}
 ul.actions, .content form#waiting  {text-align:center;}
@@ -161,5 +161,4 @@
   list-style-type: square; list-style-position: inside; padding: 0; }
 #menubar ul.scroll { overflow-y:auto; max-height:500px;}
-#menubar li a:hover {border:none; text-decoration:underline;}
 
 /* jQuery tooltips */