Index: /extensions/AMetaData/language/et_EE/plugin.lang.php
===================================================================
--- /extensions/AMetaData/language/et_EE/plugin.lang.php	(revision 22558)
+++ /extensions/AMetaData/language/et_EE/plugin.lang.php	(revision 22559)
@@ -121,3 +121,84 @@
 $lang['g003_analyze_all_pictures'] = 'Analüüs sisaldab kõiki galeriis olevaid pilte ja asendab nede praeguses hoidlas';
 $lang['g003_analyze_analyzed_pictures'] = 'Analüüs sisaldab ainult juba analüüsitud pilte';
+$lang['g003_warning_on_analyze_3a'] = 'piltide arv galeriis';
+$lang['g003_warning_on_analyze_3b'] = 'iga päev kuvatavate piltide arv';
+$lang['g003_y'] = 'Jah';
+$lang['g003_yes'] = 'Jah';
+$lang['g003_warning_on_analyze_2'] = 'Sellist liiki kasutamine võib olal teatud hostide poolt piiratud';
+$lang['g003_warning_on_analyze_3'] = 'Hoidlat uuendatakse igal kord, kui lehte või galeriid külastatakse, seega täiusliku tegemine sõltub järgnevatest tingimustest:';
+$lang['g003_personnal'] = 'Eri';
+$lang['g003_personnal_metadata'] = 'Eri-metainfo';
+$lang['g003_updating_metadata'] = 'Hoidla uuendamine';
+$lang['g003_userDefined_filter'] = 'Eri-metainfo';
+$lang['g003_validate'] = 'Ok';
+$lang['g003_valueOrder'] = 'Väärtus';
+$lang['g003_value_already_set'] = 'Väärtus on juba väärtuste domeenis defineeritud';
+$lang['g003_version'] = 'v';
+$lang['g003_warning_on_analyze_0'] = 'Hoiatus!';
+$lang['g003_textRuleInvalid'] = 'Text\'i reegel: tekst eitohi olla tühi';
+$lang['g003_typeCIfNotExist'] = 'ei ole olemas';
+$lang['g003_typeCIfNotLike'] = 'ei sisalda';
+$lang['g003_typeCondition'] = 'Tingimused';
+$lang['g003_typeMetadata'] = 'Metainfo';
+$lang['g003_typeText'] = 'Tekst';
+$lang['g003_update'] = 'Uuenda';
+$lang['g003_update_metadata'] = 'Uuenda metainfo hoidla';
+$lang['g003_typeCIfEndWith'] = 'lõppe';
+$lang['g003_typeCIfEqual'] = 'võrdub';
+$lang['g003_typeCIfExist'] = 'on olemas';
+$lang['g003_typeCIfLike'] = 'sisaldab';
+$lang['g003_typeCIfNotBeginWith'] = 'ei alga';
+$lang['g003_typeCIfNotEndWith'] = 'ei lõppe';
+$lang['g003_typeCIfNotEqual'] = 'ei ole võrdne';
+$lang['g003_selected_tag_isnot_linked_with_any_picture'] = 'Valitud metainfo ei ole ühegi pildiga seotud';
+$lang['g003_sizeAndRows'] = 'Hoidla kaal %s ja see sisaldab %s ühikut metainfot';
+$lang['g003_state'] = 'Olek';
+$lang['g003_tagOrder'] = 'Metainfo';
+$lang['g003_tag_in_piwigo'] = 'Esitle Piwigos';
+$lang['g003_tags'] = 'Sildid';
+$lang['g003_typeCIfBeginWith'] = 'alga ';
+$lang['g003_selected_tags_only'] = 'Tagasta ainult valitud metainfo';
+$lang['g003_show'] = 'Lehitse';
+$lang['g003_status'] = 'Staatus';
+$lang['g003_status_of_database'] = 'Hoidla staatus';
+$lang['g003_step_1'] = 'Plugina kasutamise valik';
+$lang['g003_tagIdAlreadyExist'] = 'Selle identifikaatoriga metainfo on juba olemas!';
+$lang['g003_ok'] = 'Ok';
+$lang['g003_oneRuleIsNeeded'] = 'Peab olema vähemalt üks reegel';
+$lang['g003_options'] = 'Valikud';
+$lang['g003_order'] = 'Sorteeri';
+$lang['g003_pleaseConfirmMetadataDelete'] = 'Kas kinnitad metainfo kustutamise?';
+$lang['g003_please_set_a_value'] = 'Pealun sea väärtus';
+$lang['g003_rules'] = 'Reeglid';
+$lang['g003_search'] = 'Otsi';
+$lang['g003_select'] = 'Valik';
+$lang['g003_select_metadata'] = 'Metainfo ovalik';
+$lang['g003_no_filter'] = 'Filter puudub';
+$lang['g003_no_items_selected'] = 'Metainfot ei ole valitud';
+$lang['g003_no_keywords'] = 'Ühtegi konverteeritavat võtmesõna ei leitud';
+$lang['g003_no_tag_can_be_selected'] = 'Metainfo ei ole saadaval';
+$lang['g003_numOrder'] = 'Pildi number';
+$lang['g003_num_of_pictures'] = 'Piltide arv';
+$lang['g003_num_of_pictures_already_tagged'] = 'Piltide arv, mis on märgitud';
+$lang['g003_num_of_rules'] = 'Reegelite arv';
+$lang['g003_numberOfAnalyzedPictures'] = '%d pilti analüüsiti';
+$lang['g003_numberOfNotAnalyzedPictures'] = '%d pilti ei ole veel analüüsitud';
+$lang['g003_numberOfPicturesWithoutTags'] = '%d pildil ei ole metainfot';
+$lang['g003_number_of_distinct_values'] = 'Erinevate väärtuste arv:';
+$lang['g003_number_of_filtered_metadata'] = 'Metainfo number:';
+$lang['g003_number_of_keywords'] = 'Võtmesõnade arv:';
+$lang['g003_metadata_not_begin_one'] = 'Metainfo %s on olemas ja ei tohi alata järgnevaga:';
+$lang['g003_metadata_not_end_all'] = 'Metainfo %s on olemas ja ei tohi lõppeda ühegiga järgnevast:';
+$lang['g003_metadata_not_end_one'] = 'Metainfo %s on olemas ja ei tohi lõppeda järgnevaga:';
+$lang['g003_metadata_not_equals_all'] = 'Metainfo %s on olemas ja ei tohi olla võrdne ühegagi järgnevaga:';
+$lang['g003_metadata_not_equals_one'] = 'Metainfo %s on olemas ja ei tohi olla võrdne järgnevaga:';
+$lang['g003_metadata_not_like_all'] = 'Metainfo %s on olemas ja ei tohi sisaldada järgnevaid väärtusi:';
+$lang['g003_metadata_not_like_one'] = 'Metainfo %s on olemas ja ei tohi sisaldada järgnevat:';
+$lang['g003_metadata_value_check_all'] = 'Kõik väärtused peavad olema tõesed:';
+$lang['g003_metadata_value_check_one'] = 'Vähemalt üks järgnevast peab olema tõene:';
+$lang['g003_n'] = 'Ei';
+$lang['g003_n_pictures_in_caddie'] = '%s pilti korvis';
+$lang['g003_name'] = 'Nimi';
+$lang['g003_new_group'] = 'Uus metainfo grupp';
+$lang['g003_no'] = 'Ei';
 ?>