Index: /extensions/netinstall/trunk/language/fa_IR/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/fa_IR/iso.txt	(revision 22569)
+++ /extensions/netinstall/trunk/language/fa_IR/iso.txt	(revision 22569)
@@ -0,0 +1,1 @@
+پارسی [IR]
Index: /extensions/netinstall/trunk/language/fa_IR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 22569)
+++ /extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 22569)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'به NetInstall خوش آمدید!';
+$lang['Language'] = 'زبان';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'با این ابزار می‌توانید آخرین نگارش Piwigo را بر روی هاست خود نصب کنید.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'درست پس از آن، به نصب کننده‌ی آسانِ Piwigo هدایت می‌شوید.';
+
+$lang['Write access is needed'] = 'دسترسی نوشتن ندارید';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'به نظر می‌رسد NetInstall دسترسی نوشتن در پوشه را ندارد، و برای ادامه‌ی کار نیاز به اجازه‌ی نوشتن دارید.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'خواهشمندیم دسترسی‌های نوشتن را تغییر دهید، سپس این برگه را با کلیک بر روی دکمه‌ی ریفرش دوباره بارگذاری کنید..';
+$lang['Refresh'] = 'ریفرش';
+
+$lang['PHP 5 is required'] = 'نگارش پنجم PHP مورد نیاز است';
+$lang['It appears your webhost is currently running PHP %s.'] = 'به نظر می‌رسد هاست شما نگارش %s از PHP را بکار می‌برد.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'شاید NetInstall با ویرایش یک پرونده‌ی .htaccess پیکربندی شما را به PHP 5 تغییر دهد.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'توجه داشته باشید که خود شما نیز می‌توانید پیکربندی را ویرایش کرده و پس از آن NetInstall را دوباره راه اندازی کنید.';
+$lang['Try to configure PHP 5'] = 'پیکربندیِ PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'بازیافت کردن و بیرون آوردن Piwigo از حالت فشرده';
+$lang['Destination:'] = 'مسیر:';
+
+$lang['Sorry!'] = 'Sorry!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall نتوانست PHP 5 را پیکربندی کند.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "می‌توانید با کمک پشتیبان هاستتان PHP 5 را بصورت دستی پیکربندی کنید.";
+$lang['Hope to see you back soon.'] = 'به امید دیدار.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'به نظر می‌رسد Piwigo پیش از این در مسیر داده شده نصب شده است.';
+$lang['You need to rename or remove it before we can go further...'] = 'پیش از ادامه‌ی کار باید آن را پاک کرده یا تغییر نام دهید...';
+$lang['Needed files are not present.'] = 'پرونده‌های مورد نیاز در دسترس نمی‌باشند.';
+$lang['Invalid zip file.'] = 'پرونده‌ی zip سالم نیست.';
+$lang['It seems that the zip file was not extracted.'] = 'به نظر می‌رسد پرونده‌ی zip از حالت فشرده خارج نشده است.';
+
+$lang['Congratulations!'] = 'عالیست!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'همه چیز به درستی پیش رفت. اکنون آماده‌ی آغاز نصب هستید.';
+$lang['Install Piwigo now'] = 'نصب Piwigo';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'خطایی هنگام دسترسی به فایل‌های مورد نیاز پیش آمد.';
+$lang['Something went wrong...'] = 'خطایی پیش آمد...';
+$lang['What are you doing here that way ?!'] = 'اینجا چیکار می‌کنید؟!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'این نرم‌افزار در آغاز برای <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a> برنامه نویسی شده بود. با سپاس!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "به کمک نیاز دارید؟ پرسش خود را در <a href=\"%s\">انجمن‌های Piwigo</a> بپرسید.";
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 22568)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 22569)
@@ -25,4 +25,5 @@
   'en_UK' => 'English [UK]',
   'es_ES' => 'Español [ES]',
+  'fa_IR' => 'پارسی [IR]',
   'fr_FR' => 'Français [FR]',
   'gl_ES' => 'Galego [ES]',
@@ -43,4 +44,5 @@
 
 $url_subdomain_for_language = array(
+  'pt_BR' => 'br',
   'da_DK' => 'da',
   'de_DE' => 'de',