Index: extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 22584)
@@ -21,4 +21,7 @@
 // +-----------------------------------------------------------------------+
 // Czech translation by webprostor.eu
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'cz';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/da_DK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'da';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'de';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/el_GR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "el";
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/en_UK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "en";
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/es_ES/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'es';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/fa_IR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "rtl";
+$lang['code'] = "fa";
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/fr_FR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'fr';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/gl_ES/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'gl';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/hu_HU/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'hu';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/it_IT/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'it';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/lv_LV/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "lv";
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall (instalācija tīklā)';
Index: extensions/netinstall/trunk/language/nb_NO/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "no";
 
 $lang['Piwigo NetInstall'] = 'Piwigo NettInstall';
Index: extensions/netinstall/trunk/language/nl_NL/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'nl';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/pl_PL/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'pl';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/pt_BR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | EUA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'pt';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/pt_PT/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'pt';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/ru_RU/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'ru';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
Index: extensions/netinstall/trunk/language/sk_SK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'sk';
 
 $lang['Piwigo NetInstall'] = 'Piwigo Sieťová inštalácia';
Index: extensions/netinstall/trunk/language/tr_TR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = 'ltr';
+$lang['code'] = 'tr';
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetKurulum';
Index: extensions/netinstall/trunk/language/uk_UA/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "ua";
 
 $lang['Piwigo NetInstall'] = 'NetInstall Piwigo';
Index: extensions/netinstall/trunk/language/zh_CN/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 22569)
+++ extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 22584)
@@ -20,4 +20,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+$lang['direction'] = "ltr";
+$lang['code'] = "cn";
 
 $lang['Piwigo NetInstall'] = 'Piwigo 网络安装程序';
Index: extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- extensions/netinstall/trunk/piwigo-netinstall.php	(revision 22569)
+++ extensions/netinstall/trunk/piwigo-netinstall.php	(revision 22584)
@@ -247,4 +247,5 @@
 	' "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'."\n".
 	'<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'.substr(DC_LOADER_LANG,0,2).'" lang="'.substr(DC_LOADER_LANG,0,2).'">'."\n".
+	'<html lang="'.l10n('code').'" dir="'.l10n('direction').'"'."\n".
 	"<head>\n".
 	' <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />'."\n".